Bug 1296383 - Require environment(modules)
Require environment(modules)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 22:01 EST by Orion Poplawski
Modified: 2017-08-25 06:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: scl-utils-2.0.1-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-25 06:25:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-01-06 22:01:31 EST
Description of problem:

There are currently two largely compatible implementations of the environment-module system: "environment-modules" and "Lmod", both of which provide "environment(modules)".  scl-utils should require "environment(modules)" in order to allow the installer to choose which one they want to use.
Comment 1 Orion Poplawski 2016-01-06 22:05:56 EST
Also, I think scl modules files should be installed into /usr/share/modulefiles/scl, thereby being available automatically.  As it stands now, someone has to manually add /etc/scl/modulesfiles to MODULEPATH.  And system installed modulefiles really belong in /usr/share/modulefiles, not /etc.
Comment 2 Jan Kurik 2016-02-24 10:38:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-05-30 10:59:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2016-10-12 04:02:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Panu Matilainen 2017-03-20 08:51:17 EDT
I've no idea whether Lmod is actually compatible with scl-utils but whatever the provides say... 
Dependency changed to environment(modules) now in rawhide. 

The module directory is unrelated, please report separately.
Comment 7 Orion Poplawski 2017-03-20 11:23:59 EDT
Thanks.  Filed #1434033 for the install path issue.
Comment 8 Vít Ondruch 2017-05-11 07:05:12 EDT
(In reply to Panu Matilainen from comment #6)
> I've no idea whether Lmod is actually compatible with scl-utils but whatever
> the provides say... 
> Dependency changed to environment(modules) now in rawhide. 

Could you please revert this? Lmod does not provide /usr/bin/modulecmd, hence the basic scl command fails:

~~~
$ scl enable rh-ruby24 bash
Program /usr/bin/modulecmd returned nonzero return code!
Problem with executing program /usr/bin/modulecmd: Bad file descriptor
~~~

Or actually there should be "Requres: %{_bindir}/modulecmd", since this is what scl command is using:

https://github.com/sclorg/scl-utils/search?utf8=✓&q=MODULE_CMD&type=
Comment 9 Orion Poplawski 2017-05-25 17:52:15 EDT
Well, "modulecmd" is not the proper interface into modules - "module" is.  Although that is probably complicated by it being implemented as a function (bash) or alias (csh).
Comment 10 Fedora End Of Life 2017-07-25 15:44:08 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Panu Matilainen 2017-08-25 06:25:18 EDT
Reverted, or rather, made to depend on modulecmd to point the actual dependency out, in scl-utils-2.0.2-2.fc28. Needs pulling to at least f27 too (and will do in near future)

Note You need to log in before you can comment on or make changes to this bug.